id: visual-studio-code-phish

info:
  name: visual studio code phishing Detection
  author: rxerium
  severity: info
  description: |
    A visual studio code phishing website was detected
  reference:
    - https://visualstudio.com
  metadata:
    max-request: 1
  tags: phishing,visual-studio-code,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Visual Studio Code is a code editor redefined and optimized for building and debugging modern web and cloud applications.  Visual Studio Code is free and available on your favorite platform - Linux, macOS, and Windows.'
          - 'Visual Studio Code - Code Editing. Redefined'
        condition: and

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"visualstudio.com")'
# digest: 4a0a0047304502203fa1d0a05a2f4777229703ba235e648902e50a528a57d0adff31116b87aa2f5102210081a6ebc2af818384d6b2870e44bde954e7a480ab51220ee0fb03e17c6865b132:922c64590222798bb761d5b6d8e72950